[arch-commits] Commit in revive/repos/community-x86_64 (PKGBUILD PKGBUILD)
Anatol Pomozov
anatolik at gemini.archlinux.org
Tue Aug 9 15:39:22 UTC 2022
Date: Tuesday, August 9, 2022 @ 15:39:22
Author: anatolik
Revision: 1263665
archrelease: copy trunk to community-x86_64
Added:
revive/repos/community-x86_64/PKGBUILD
(from rev 1263664, revive/trunk/PKGBUILD)
Deleted:
revive/repos/community-x86_64/PKGBUILD
----------+
PKGBUILD | 70 ++++++++++++++++++++++++++++++-------------------------------
1 file changed, 35 insertions(+), 35 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2022-08-09 15:39:12 UTC (rev 1263664)
+++ PKGBUILD 2022-08-09 15:39:22 UTC (rev 1263665)
@@ -1,35 +0,0 @@
-# Contributor: Dimitris Kiziridis <ragouel at outlook dot com>
-
-pkgname=revive
-pkgver=1.2.1
-pkgrel=1
-pkgdesc="faster, stricter, configurable, extensible, and beautiful drop-in replacement for golint"
-arch=('x86_64')
-url='https://revive.run'
-license=('MIT')
-depends=('glibc')
-makedepends=('go')
-source=("${pkgname}-${pkgver}.tar.gz::https://github.com/mgechev/revive/archive/v${pkgver}.tar.gz")
-sha256sums=('47e9f371e934fe4dfce44098fd54a0aaeaa47079184a14ad263990a24fab1b35')
-
-build() {
- cd revive-${pkgver}
- export CGO_LDFLAGS="${LDFLAGS}"
- export CGO_CFLAGS="${CFLAGS}"
- export CGO_CPPFLAGS="${CPPFLAGS}"
- export CGO_CXXFLAGS="${CXXFLAGS}"
- export GOFLAGS="-buildmode=pie -trimpath -modcacherw"
- go build
-}
-
-check() {
- cd revive-${pkgver}/test
- go test || true
-}
-
-package() {
- cd revive-${pkgver}
- install -Dm755 revive "${pkgdir}/usr/bin/revive"
- install -Dm644 defaults.toml "${pkgdir}/etc/revive/revive.toml"
- install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
-}
Copied: revive/repos/community-x86_64/PKGBUILD (from rev 1263664, revive/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2022-08-09 15:39:22 UTC (rev 1263665)
@@ -0,0 +1,35 @@
+# Contributor: Dimitris Kiziridis <ragouel at outlook dot com>
+
+pkgname=revive
+pkgver=1.2.3
+pkgrel=1
+pkgdesc="faster, stricter, configurable, extensible, and beautiful drop-in replacement for golint"
+arch=('x86_64')
+url='https://revive.run'
+license=('MIT')
+depends=('glibc')
+makedepends=('go')
+source=("${pkgname}-${pkgver}.tar.gz::https://github.com/mgechev/revive/archive/v${pkgver}.tar.gz")
+sha256sums=('9a5135ba4b689adf069b964cceda7992eb94c7a514af6694dd60bf602f187165')
+
+build() {
+ cd revive-${pkgver}
+ export CGO_LDFLAGS="${LDFLAGS}"
+ export CGO_CFLAGS="${CFLAGS}"
+ export CGO_CPPFLAGS="${CPPFLAGS}"
+ export CGO_CXXFLAGS="${CXXFLAGS}"
+ export GOFLAGS="-buildmode=pie -trimpath -modcacherw"
+ go build
+}
+
+check() {
+ cd revive-${pkgver}/test
+ go test || true
+}
+
+package() {
+ cd revive-${pkgver}
+ install -Dm755 revive "${pkgdir}/usr/bin/revive"
+ install -Dm644 defaults.toml "${pkgdir}/etc/revive/revive.toml"
+ install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}
More information about the arch-commits
mailing list